Уязвимость BDU:2022-06180

Дата: 28.08.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-06180.

Наименование уязвимости: Уязвимость текстового редактора Vim, связанная с ошибками разыменования указателя, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость текстового редактора Vim связана с ошибками разыменования указателя при обработке фрейма eval1 (root/vim/src/vim). Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Debian GNU/Linux 10.0 | Операционная система Debian GNU/Linux 11.0 | Операционная система ООО «Ред Софт» РЕД ОС 7.3 | Операционная система ФССП России ОС ТД АИС ФССП России ИК6 | Операционная система АО «ИВК» Альт 8 СП — | Операционная система Red Hat Inc. Red Hat Enterprise Linux 9 | Прикладное ПО информационных систем vim до 9.0.0552 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 100 | Debian GNU/Linux 110 | РЕД ОС 73 | ОС ТД АИС ФССП России ИК6 | Альт 8 СП — | Red Hat Enterprise Linux 9 |
Дата выявления: 28.08.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:P/A:P
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,8)

Возможные меры по устранению:
Использование рекомендаций:
Для Vim:
https://github.com/vim/vim/commit/69082916c8b5d321545d60b9f5facad0a2dd5a4e

Для Ред ОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для ОС ТД АИС ФССП России:
https://goslinux.fssp.gov.ru/2726972/

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2022-3278

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/CVE-2022-3278

Для ОС Альт 8 СП: установка обновления из публичного репозитория программного средства
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-3278.

Тип ошибки CWE: CWE-476
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://redos.red-soft.ru/support/secure/uyazvimosti/mnozhestvennye-uyazvimosti-vim-cve-2022-3278-cve-2022-3297-cve-2022-3296-cve-2022-3324/
https://vuldb.com/ru/?id.209529
https://github.com/vim/vim/commit/69082916c8b5d321545d60b9f5facad0a2dd5a4e
https://huntr.dev/bounties/a9fad77e-f245-4ce9-ba15-c7d4c86c4612
https://nvd.nist.gov/vuln/detail/CVE-2022-3278
https://goslinux.fssp.gov.ru/2726972/
https://security-tracker.debian.org/tracker/CVE-2022-3278
https://access.redhat.com/security/cve/CVE-2022-3278
https://altsp.su/obnovleniya-bezopasnosti/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *